import { __decorate, __param } from '../../../../../../../external/tslib/tslib.es6.js';
import { IDebugService } from 'vscode/vscode/vs/workbench/contrib/debug/common/debug';
import { dispose } from 'vscode/vscode/vs/base/common/lifecycle';
import { IHostService } from 'vscode/vscode/vs/workbench/services/host/browser/host';
import { ITitleService } from 'vscode/vscode/vs/workbench/services/title/browser/titleService';

let DebugTitleContribution = class DebugTitleContribution {
    constructor(debugService, hostService, titleService) {
        this.toDispose = [];
        const updateTitle = () => {
            if (debugService.state === 2  && !hostService.hasFocus) {
                titleService.updateProperties({ prefix: '🔴' });
            }
            else {
                titleService.updateProperties({ prefix: '' });
            }
        };
        this.toDispose.push(debugService.onDidChangeState(updateTitle));
        this.toDispose.push(hostService.onDidChangeFocus(updateTitle));
    }
    dispose() {
        dispose(this.toDispose);
    }
};
DebugTitleContribution = ( __decorate([
    ( __param(0, IDebugService)),
    ( __param(1, IHostService)),
    ( __param(2, ITitleService))
], DebugTitleContribution));

export { DebugTitleContribution };
